[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.PaintSite

Handles special painting of the docksite.

## Declaration

Source position: controls.pp line 676

`public procedure TDockManager.PaintSite(`
`DC: HDC`
`); virtual;`

## Arguments

`DC` |  | The device context, used to paint.

## Description

While the docked controls paint themselves, the eventual dockheaders and other decorations have to be painted by the DockManager.